Name:		elementary
Version:	1.7.7
Release:	1%{?dist}
Summary:	Widget set based upon EFL for mobile touch-screen devices

Group:		User Interface/X
License:	BSD
URL:		http://www.enlightenment.org/
Source0:	http://download.enlightenment.org/snapshots/2009-06-14/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:	glibc-headers, pkgconfig
BuildRequires:	e_dbus-devel, edje-devel, libeina-devel, dbus-devel
BuildRequires:	ecore-devel, libcurl-devel, edje-devel, embryo-devel
BuildRequires:	eet-devel, evas-devel, efreet-devel, SDL-devel,
BuildRequires:	libXcursor-devel, libXdamage-devel, libXcomposite-devel
BuildRequires:	libXinerama-devel, libXp-devel, libXrandr-devel
BuildRequires:	libXrender-devel, libXScrnSaver-devel, libjpeg-devel
BuildRequires:	libXtst-devel, libeweather-devel, ethumb-devel
BuildRequires:  eio-devel, doxygen, emap-devel, gettext

%description
Elementary is a basic widget set that is easy to use based on EFL for 
mobile touch-screen devices.

%package devel
Summary:	Elementary headers, static libraries, documentation and test programs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	efreet-devel e_dbus-devel ecore-devel edje-devel evas-devel eet-devel libeina-devel ethumb-devel emap-devel

%description devel
Headers, static libraries, test programs and documentation for Elementary


%prep
%setup -q 


%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%dir %{_datadir}/elementary/
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_libdir}/edje/modules/elm/
%{_bindir}/*
%{_datadir}/applications/elementary_test.desktop
%{_datadir}/applications/elementary_config.desktop
%{_datadir}/elementary/images/*
%{_datadir}/elementary/objects/*
%{_datadir}/elementary/themes/*
%{_datadir}/elementary/config/*
%{_datadir}/elementary/edje_externals/*
%{_datadir}/icons/elementary.png

%files devel
%defattr(-, root, root, -)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Sat Jan 14 2012 Chelban Vasile <vchelban@fedoramd.org> 0.8.0-1
- BR: emap-devel

* Wed Dec 15 2010 Vasile Chelban <vchelban@fedoramd.org> 0.7.0-2
- BR: ethumb-devel

* Mon Dec 07 2009 Chelban Vasile <vchelban@fedoramd.org> 0.6.0.063-1
- new version

* Sun Oct 18 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.1.0-5
- additional requires for devel subpackage

* Thu Oct 08 2009 Vasile Chelban <vchelban@fedoramd.org> 0.5.0.0-4
- Requires: efreet-devel

* Tue Oct 06 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.0-3
- BR: efreet-devel

* Thu Aug 27 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.0-2
- BR: lua-devel

* Wed Jul 15 2009 Vasile Chelban <vchelban@fedoramd.org> 0.5.0.0-1
- version update

* Sat Mar 14 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0.0-20090314
- SVN Update

* Sun Mar 1 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0.0-20090301
- Fixed BuildRequires based upon mock for F10
- Finalized Initial Build
- CVS Update

